package betterquesting.api2.client.gui.resources.lines;

import betterquesting.api2.client.gui.misc.IGuiRect;
import betterquesting.api2.client.gui.resources.colors.IGuiColor;

/* loaded from: betterquesting_api2_client_gui_resources_lines.jar:betterquesting/api2/client/gui/resources/lines/GuiLineSequence.class */
public class GuiLineSequence implements IGuiLine {
    public final IGuiLine[] lines;
    private final float interval;

    public GuiLineSequence(float interval, IGuiLine... lines) {
        this.lines = lines;
        this.interval = interval;
    }

    @Override // betterquesting.api2.client.gui.resources.lines.IGuiLine
    public void drawLine(IGuiRect start, IGuiRect end, int width, IGuiColor color, float partialTick) {
        getCurrentLine().drawLine(start, end, width, color, partialTick);
    }

    public IGuiLine getCurrentLine() {
        return this.lines[(int) Math.floor(((System.currentTimeMillis() / 1000.0d) % (this.lines.length * this.interval)) / this.interval)];
    }

    public IGuiLine[] getAllLines() {
        return this.lines;
    }
}
